<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="core-service.management.access.audit.file-handler">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="formatter,max-failure-count,path,relative-to,rotate-at-startup"/>
        <elem name="addr-params" value="host,core-service,access,file-handler"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="core-service.management"/>
    </annotation>
    <refs>
        <ref feature="core-service.management.access.audit"/>
        <ref feature="core-service.management"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="formatter"/>
        <param name="path"/>
        <param name="access" feature-id="true" default="audit"/>
        <param name="relative-to" nillable="true"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="file-handler" feature-id="true"/>
        <param name="max-failure-count" nillable="true"/>
        <param name="rotate-at-startup" nillable="true"/>
        <param name="core-service" feature-id="true" default="management"/>
    </params>
</feature-spec>